ofono (2.16-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version.
    - CVE-2024-7537: qmi: sms: Fix possible out-of-bounds read. (Closes:
      #1099190).
    - handsfree-audio: use correct signature for GetCards. (Closes:
      #1010666).
  * debian/patches:
    + Drop patches that have been merged by upstream
    + Add 0003-gdbus-fix-double-free.patch  Fix for double-free in
      gdbus/watch.c.
    + Add 0004-smsutil-fix-possible-buffer-overflow.patch. Fix buffer overflow
      bugs in src/smsutil.c.
    + Comply with DEP-3 for 0001-doc-ofonod.8-escape-minus-sign.patch.
      Don't forward upstream.
  * debian/control:
    + Update homepage URL
    + Bump Standards-Version to 4.7.2
  * debian/copyright:
    + Update Upstream-Contact URL
    + Update auto-generated attributions

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
    + Use new FSF mailing address.
  * debian/ofono.examples:
    + Add file. Install files from examples/ folder into doc directory.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Various typo fixes.
  * debian/ofono*.init:
    + Source /lib/lsb/init-function (not /usr/lib/lsb/init-functions anymore).
  * debian/rules:
    + Drop override_dh_strip. The dbgsym migration is over.
    + Enable all hardening build flags.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 23:10:48 +0200

ofono (2.14-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version 2.14. (Closes: #1070371).
    - CVE-2023-4232: Fix stack overflow bug triggered within the
      decode_status_report() function during the SMS decoding.
    - CVE-2023-4235: Fix stack overflow bug triggered within the
      decode_deliver_report() function during the SMS decoding.
    - CVE-2024-7543,
      CVE-2024-7544,
      CVE-2024-7545,
      CVE-2024-7546: Fix flaws within the parsing of STK command PDUs.
      (lack of proper validation of the length of user-supplied data
      prior to copying it to a heap-based buffer)
    - CVE-2024-7547: Fix flaw within the parsing of SMS PDUs
      (lack of proper validation of the length of user-supplied data
      prior to copying it to a stack-based buffer).
  * debian/patches: Add upstream patches 0003-util-ensure-decode_hex_own_buf-is-
      passed-a-valid-buf.patch, 0004-atmodem-sms-ensure-buffer-is-initialized-
      before-use.patch, 0005-ussd-ensure-ussd-content-fits-in-buffers.patch:
    + CVE-2024-7539: Fix flaw within the parsing of responses from AT+CUSD
      commands (lack of proper validation of the length of user-supplied
      data prior to copying it to a stack-based buffer).
    + CVE-2024-7540: Fix flaw within the parsing of responses from AT+CMGL
      commands (lack of proper initialization of memory prior to accessing
      it).
    + CVE-2024-7541: Fix flaw within the parsing of responses from AT+CMT
      commands (lack of proper initialization of memory prior to accessing
      it).
    + CVE-2024-7542: Fix flaw within the parsing of responses from AT+CMGR
      commands (lack of proper initialization of memory prior to accessing
      it).

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/changelog:
    + White-space cleanup in previous entries.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Jan 2025 13:38:11 +0100

ofono (2.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Use recent FSF address.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 16 Nov 2024 20:22:35 +0100

ofono (2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 15:56:32 +0100

ofono (2.10-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version 2.10. (Closes: #995669)
  * d/patches: drop no longer needed patches for CVE-2023-2794.
  * drop support for mobile-broadband-provider-info.
  * d/control: use correct dbus dependency. (Closes: #955850)
  * comply with usrmerge requirements. (Closes: #1073646)
  * d/control: drop deprecated lsb-base dependency.

  [ Mike Gabriel ]
  * debian/copyright:
    + Add auto-generated copyright.in file for later tracking of copyright
      changes.
    + Rewrite file entirely.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Sep 2024 12:55:23 +0200

ofono (1.31-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Add myself to Uploaders:.
  * debian/control:
    + Add to B-D: systemd-dev [linux-any]. (Closes: #1060578).
  * CVE-2023-2794, debian/patches:
    + Add CVE-2023-2794_p{1,2,3,4}.patch. Fix SMS decoder stack-based buffer
      overflow (remote code execution vulnerability within the decode_deliver()
      function). (Closes: #1069679).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 May 2024 10:12:08 +0200

ofono (1.31-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 15:55:33 +0100

ofono (1.31-2) unstable; urgency=medium

  * Team upload
  * debian/copyright: Update the copyright file and convert to dep5

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 01:43:46 +0100

ofono (1.31-1) unstable; urgency=medium

  * Team upload
  [ Helmut Grohne ]
  * Drop libc*-dev from ofono-dev Depends.
  * Move ofono.pc to /usr/share/pkgconfig.
  * Mark ofono-dev Multi-Arch: foreign. (Closes: #893941)

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, use dh_missing instead of dh_install
    to list non-installed files
  * d/p/0002-Remove-After-syslog.target-from-systemd-.service-fil.patch:
    Remove After=syslog.target from systemd .service files, to please lintian
  * debian/control: Make ofono architecture linux-any, it uses signalfd that
    is linux only and would require porting
  * debian/control: Make ofono-dev depend against libdbus-1-dev and
    libglib2.0-dev, the pkg-config file Requires them
  * Create a new ofono-scripts package that ships the tests/ directory
    (Closes: #868377)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 Dec 2019 13:21:45 +0100

ofono (1.28-1) unstable; urgency=medium

  * New upstream version 1.28

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Feb 2019 22:58:25 +0100

ofono (1.21-1) unstable; urgency=medium

  * Team upload
  [ Jonny Lamb ]
  * Remove myself from Uploaders.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 10 and drop direct build-dependency
    against dh-systemd and autotools-dev
  * debian/control: Add explicit dependency against lsb-base as the initscript
    uses /lib/lsb/init-functions
  * debian/watch: Use https and verify the signature of the tarball
  * debian/rules: Do not run the tests in parallel
  * debian/copyright: Fix the licence, ofono is GPL, not LGPL (Closes: #853206)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Nov 2017 17:32:26 +0100

ofono (1.18-1) unstable; urgency=medium

  * Team upload
  * New upstream release. (Closes: #792632)
    - Bump libglib2.0-dev to >= 2.32
    - Fix installation of the udev rules file
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no further changes)
    - Switch to https URL for Vcs-* fields
  * Drop ofono-dbg package, rely on automatically built dbgsym package
  * debian/compat: Bump Debhelper compatibility to 9
  * Drop useless files in debian/patches/
  * Switch from cdbs to dh
  * debian/*.init: Use the executable path to better identify the running
    processes (Closes: #825134)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2016 21:55:47 +0200

ofono (1.15-3) unstable; urgency=medium

  * Team upload
  * debian/control: Use canonical URL for the Vcs-* fields
  * Install missing dundee daemon and LSB initscript
  * debian/ofono.install, debian/rules, debian/control: Install .service files
    (Closes: #771088)
  * debian/control: Add build-dependency to autotools-dev
  * debian/ofono.init: Drop the "set -e" from the begining of the script

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 May 2015 15:03:20 +0200

ofono (1.15-2) unstable; urgency=medium

  * d/control: Konstantinos Margaritis drop from uploaders. Thanks.
  * d/ofono-dev.install: ship pkg-config files.
    Thanks Graham Inggs for patch.
    (Closes: #763111)
  * d/control: bump Standards-Version.
  * d/p/0002_update_config_guess.patch: update to recent version 2014-03-23.

 -- Hector Oron <zumbi@debian.org>  Mon, 20 Oct 2014 00:08:53 +0200

ofono (1.15-1) unstable; urgency=medium

  * New upstream release. (Closes: #759516)

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 01:20:27 +0200

ofono (1.9-2) unstable; urgency=low

  * Upload to unstable.
  * d/p/fix-ftbfs-glibc-2.17.patch: ftbfs with eglibc-2.17 (Closes: #701435)

 -- Hector Oron <zumbi@debian.org>  Tue, 04 Jun 2013 15:47:00 +0200

ofono (1.9-1) experimental; urgency=low

  * New upstream release

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 31 Jul 2012 11:00:42 +0300

ofono (1.6-2) unstable; urgency=low

  * Add build dependency on mobile-broadband-provider-info

 -- Hector Oron <zumbi@debian.org>  Sat, 02 Jun 2012 00:55:18 +0200

ofono (1.6-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Update Standards-Version.
  * Change source/format to 3.0 (quilt)

 -- Hector Oron <zumbi@debian.org>  Fri, 01 Jun 2012 18:29:37 +0200

ofono (0.53-2) unstable; urgency=low

  * debian/ofono.init: Add dbus as a dependency to start and stop. Thanks
    to Johannes Schauer for the patch and report. (Closes: #631707)

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 15:36:44 +0100

ofono (0.53-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add Vcs-* fields.
  * Ensure ofono is built with bluetooth support (pass --enable-bluetooth
    and add libbluetooth-dev build-dep).

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 14:40:25 +0100

ofono (0.36-1) unstable; urgency=low

  * New upstream release.
  * debian/: Added some files relating to building with git.
  * debian/control:
    + Adopt the package from Andres. Thanks for your work, dude!
    + Upped versioned build-dep on glib.
    + Upped Standards-Version. (no changes)
  * debinan/ofono.install: Updated.
  * debian/rules: Switch to cdbs to be like the rest of the pkg-telepathy
    packages.
  * debian/ofono.init: Add dependency on $remote_fs in required-start and
    required-stop.
  * debian/compat: Lower to 5 for misc reasons.
  * debian/patches/: Add patch to fix small lintian problem.

 -- Jonny Lamb <jonny@debian.org>  Mon, 29 Nov 2010 18:14:48 +0000

ofono (0.18-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Thu, 18 Feb 2010 03:58:18 +0000

ofono (0.9-1) unstable; urgency=low

  * New upstream release.
  * Since it runs w/out it, change the udev Depends to a Recommends.

 -- Andres Salomon <dilinger@debian.org>  Mon, 02 Nov 2009 18:46:37 +0000

ofono (0.8-1) unstable; urgency=low

  * New upstream release.
  * Drop cdbs and use debhelper 7 features instead.

 -- Andres Salomon <dilinger@debian.org>  Sun, 18 Oct 2009 23:54:52 +0000

ofono (0.7-1) unstable; urgency=low

  * New upstream release.
  * Also build-dep upon udev, as otherwise UDEV_DATADIR is set incorrectly
    (closes: #549544).
  * Ofono itself should also probably depend upon udev, eh?

 -- Andres Salomon <dilinger@debian.org>  Sun, 04 Oct 2009 15:27:21 +0000

ofono (0.6-3) unstable; urgency=low

  * Build-dep upon libudev-dev and enable udev support.

 -- Andres Salomon <dilinger@debian.org>  Sat, 03 Oct 2009 20:22:58 +0000

ofono (0.6-2) unstable; urgency=low

  * Add a -dbg package.

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Sep 2009 20:05:20 +0000

ofono (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Mon, 28 Sep 2009 16:21:52 +0000

ofono (0.5-1) unstable; urgency=low

  * New upstream release.
  * Be sure to create /var/lib/ofono (for the lulz).
  * Silence some lintian warnings.

 -- Andres Salomon <dilinger@debian.org>  Fri, 25 Sep 2009 22:58:23 +0000

ofono (0.4-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Include the new modem.conf.

 -- Andres Salomon <dilinger@debian.org>  Thu, 03 Sep 2009 19:51:21 +0000

ofono (0.3-1) unstable; urgency=low

  * New upstream release.
  * Drop ofonod manpage; merged upstream.

 -- Andres Salomon <dilinger@debian.org>  Sat, 15 Aug 2009 15:55:11 +0000

ofono (0.1-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 11 Jul 2009 18:37:48 -0400
